<?php
class editAction extends Action
{
    function execute(&$controller, &$request)
    {
        if ($request->get('act') == 'catalogs') {
            $request->set('domain', $_REQUEST['domain']);
        }
        $controller->view('edit');
    }
}
?>